Bug 1567870 - Protocol plugin VNCI is not installed - while trying to listen for incoming VNC connections
Summary: Protocol plugin VNCI is not installed - while trying to listen for incoming V...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-16 10:18 UTC by Davide Repetto
Modified: 2018-08-23 10:32 UTC (History)
2 users (show)

Fixed In Version: remmina-1.2.31.3-1.fc27 remmina-1.2.31.3-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-20 17:07:58 UTC
Type: Bug


Attachments (Terms of Use)
Picture portraying the error message (5.12 KB, image/png)
2018-04-16 10:20 UTC, Davide Repetto
no flags Details

Description Davide Repetto 2018-04-16 10:18:09 UTC
Description of problem:
=======================
With the current remmina I get the error message "Protocol plugin VNCI is not installed" while trying to listen for incoming VNC connections

Version-Release number of selected component (if applicable):
=============================================================
# rpm -qa | grep remmina
remmina-plugins-vnc-1.2.0-0.51.20180408.git.6b62986.fc27.x86_64
remmina-plugins-spice-1.2.0-0.51.20180408.git.6b62986.fc27.x86_64
remmina-plugins-secret-1.2.0-0.51.20180408.git.6b62986.fc27.x86_64
remmina-plugins-rdp-1.2.0-0.51.20180408.git.6b62986.fc27.x86_64
remmina-plugins-xdmcp-1.2.0-0.51.20180408.git.6b62986.fc27.x86_64
remmina-1.2.0-0.51.20180408.git.6b62986.fc27.x86_64
remmina-plugins-nx-1.2.0-0.51.20180408.git.6b62986.fc27.x86_64
remmina-plugins-exec-1.2.0-0.51.20180408.git.6b62986.fc27.x86_64

How reproducible:
=================
Always - Immediately After this update:
    Aggiornati remmina-1.2.0-0.50.20180321.git.f467f19.fc27.x86_64                @updates
    Aggiornati         1.2.0-0.51.20180408.git.6b62986.fc27.x86_64                @updates
    Aggiornati remmina-plugins-exec-1.2.0-0.50.20180321.git.f467f19.fc27.x86_64   @updates
    Aggiornati                      1.2.0-0.51.20180408.git.6b62986.fc27.x86_64   @updates
    Aggiornati remmina-plugins-nx-1.2.0-0.50.20180321.git.f467f19.fc27.x86_64     @updates
    Aggiornati                    1.2.0-0.51.20180408.git.6b62986.fc27.x86_64     @updates
    Aggiornati remmina-plugins-rdp-1.2.0-0.50.20180321.git.f467f19.fc27.x86_64    @updates
    Aggiornati                     1.2.0-0.51.20180408.git.6b62986.fc27.x86_64    @updates
    Aggiornati remmina-plugins-secret-1.2.0-0.50.20180321.git.f467f19.fc27.x86_64 @updates
    Aggiornati                        1.2.0-0.51.20180408.git.6b62986.fc27.x86_64 @updates
    Aggiornati remmina-plugins-vnc-1.2.0-0.50.20180321.git.f467f19.fc27.x86_64    @updates
    Aggiornati                     1.2.0-0.51.20180408.git.6b62986.fc27.x86_64    @updates
    Aggiornati remmina-plugins-xdmcp-1.2.0-0.50.20180321.git.f467f19.fc27.x86_64  @updates
    Aggiornati                       1.2.0-0.51.20180408.git.6b62986.fc27.x86_64  @updates


Steps to Reproduce:
===================
1. You *MUST* create a VNC listening connection using the previous version of remmina, sinche the updated version won't let you do that.
2. Update remmina
3. Launch the listening connection with the updated version 


Actual results:
===============
You Get the error message (you can see in the attachments)

Expected results:
=================
Remmina starts listening for a VNC incoming connection

Comment 1 Davide Repetto 2018-04-16 10:20:10 UTC
Created attachment 1422399 [details]
Picture portraying the error message

Comment 2 Fedora Update System 2018-08-20 14:39:27 UTC
remmina-1.2.31.3-1.fc27 freerdp-2.0.0-44.rc3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 3 Fedora Update System 2018-08-20 14:40:54 UTC
remmina-1.2.31.3-1.fc28 freerdp-2.0.0-44.rc3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 4 Davide Repetto 2018-08-20 17:07:58 UTC
The update fixes this issue properly.
Thanks!

Comment 5 Fedora Update System 2018-08-22 00:32:44 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1a5160a24d

Comment 6 Fedora Update System 2018-08-22 03:12:19 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1b66de68ac

Comment 7 Fedora Update System 2018-08-23 09:44:57 UTC
freerdp-2.0.0-44.rc3.fc27, remmina-1.2.31.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2018-08-23 10:32:53 UTC
freerdp-2.0.0-44.rc3.fc28, remmina-1.2.31.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.